Bug 231333 - Regression(r283217) : [ iOS 15 ] media/track/track-forced-subtitles-in-band.html is failing
Summary: Regression(r283217) : [ iOS 15 ] media/track/track-forced-subtitles-in-band.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: iPhone / iPad Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-10-06 15:36 PDT by ayumi_kojima
Modified: 2022-06-09 11:36 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ayumi_kojima 2021-10-06 15:36:16 PDT
media/track/track-forced-subtitles-in-band.html

Is failing on iOS 15 Debug and is flaky failing on iOS 15 Release.

History: https://results.webkit.org/?suite=layout-tests&test=media%2Ftrack%2Ftrack-forced-subtitles-in-band.html

Result page: https://build.webkit.org/results/Apple-iOS-15-Simulator-Debug-WK2-Tests/r283612%20(72)/results.html

Diff:

--- /Volumes/Data/worker/ios-simulator-15-debug-tests-wk2/build/layout-test-results/media/track/track-forced-subtitles-in-band-expected.txt
+++ /Volumes/Data/worker/ios-simulator-15-debug-tests-wk2/build/layout-test-results/media/track/track-forced-subtitles-in-band-actual.txt
@@ -9,7 +9,7 @@
 EVENT(canplaythrough)
 
 ** Forced tracks should be in .textTracks, but not in the menu
-EXPECTED (video.textTracks.length == '9') OK
+EXPECTED (video.textTracks.length == '9'), OBSERVED '11' FAIL
 
 ** Only the 'fr' forced track should be showing
 EXPECTED (video.textTracks[0].language == 'en') OK
Comment 1 Radar WebKit Bug Importer 2021-10-06 15:36:33 PDT
<rdar://problem/83955154>
Comment 2 ayumi_kojima 2021-10-06 15:43:12 PDT
Updated test expectations https://trac.webkit.org/changeset/283674/webkit
Comment 3 ayumi_kojima 2021-10-06 16:51:36 PDT
I was able to reproduce the failure locally on iOS 15 using run-webkit-tests --force --ios-simulator --debug media/track/track-forced-subtitles-in-band.html.

Test failed on r283217 and newer, and passed on r283216 and older.
Comment 4 Eric Carlson 2022-06-02 11:49:48 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1247
Comment 5 EWS 2022-06-09 11:36:05 PDT
Committed r295426 (251432@main): <https://commits.webkit.org/251432@main>

Reviewed commits have been landed. Closing PR #1247 and removing active labels.